import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class SettingsForm extends Form implements CommandListener
{ 
    Wordix      game;
    Displayable parent;
    Gauge       level;

    SettingsForm(Wordix game, Displayable parent) 
    {
        super("Game settings");        
        this.game = game;
        this.parent = parent;

        level = new Gauge("Level", true, Settings.LEVELS, game.settings.level);
        append(level);

        setCommandListener(this);
        addCommand(Wordix.BACK_CMD);
        addCommand(Wordix.SAVE_CMD);
        Display.getDisplay(game).setCurrent(this);
    }
           

    public void commandAction(Command c, Displayable d) 
    {        
        if (c == Wordix.SAVE_CMD) {
            game.settings.level = level.getValue();
            game.saveSettings();
        } else if (c != Wordix.BACK_CMD) {
            return;
        }
        Display.getDisplay(game).setCurrent(parent);
    }
}





